<template>
  <div>
    <div>
      <test-axios v-bind:title="ttt()"></test-axios>
    </div>
  </div>
</template>
<script>
import axios from 'axios'

export default {
  data () {
    return {
      res: null
    }
  },
  components: {
    'test-axios': () => import('./Test.vue')
  },
  methods: {
    ttt () {
      if (localStorage.getItem('axios')) {
        return localStorage.getItem('axios')
      } else {
        return this.res
      }
    }
  },
  created () {
    axios.get('https://min-api.cryptocompare.com/data/pricemulti?fsyms=BTC,ETH,LTC&tsyms=USD')
      .then((response) => {
        this.res = JSON.stringify(response.data)
        localStorage.setItem('axios', JSON.stringify(response.data))
      })
  }
}
</script>
